# Get batch details

Retrieve per-session details for a batch call operation, including the current state of each call session in the batch.
Use this endpoint when individual session-level visibility is needed (for example, to inspect which sessions are QUEUED, IN_PROGRESS or COMPLETED). EXPIRED sessions are never returned because they were never initiated.

Endpoint: GET /v2/projects/{projectId}/batches/{batchId}/details
Version: 2.0.58
Security: BasicAuth, SinchOAuth2

## Path parameters:

  - `projectId` (string, required)
    The ID of the project.

  - `batchId` (string, required)
    The ID of the batch.

## Response 200 fields (application/json):

  - `sessions` (array, required)

  - `sessions.id` (string)
    Unique identifier of the call session within the batch. This identifies the session, not an individual call. Use it with  /v2/projects/{projectId}/sessions/{sessionId} to retrieve full session details.

  - `sessions.state` (string)
    The state of the current session. Sessions can either be in a "transitional" or "final" state.  Sessions in a transitional state are ongoing. Sessions in a final state have will not send any  more events.
    Enum: "QUEUED", "IN_PROGRESS", "COMPLETED", "EXPIRED"

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "The request body is invalid or malformed."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls/01ARZ3NDEKTSV4RRFFQ69G5FAA"

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "The token is missing, invalid, or has expired."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls/01ARZ3NDEKTSV4RRFFQ69G5FAA"

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "The request was rejected."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls/01ARZ3NDEKTSV4RRFFQ69G5FAA"

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "The requested resource was not found."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls/01ARZ3NDEKTSV4RRFFQ69G5FAA"

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "Rate limit exceeded. Please slow down your request rate and retry after the indicated period."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls"

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URI that identifies the problem type and links to the corresponding error documentation.

  - `title` (string, required)
    Human-readable short summary of the problem type.

  - `detail` (string, required)
    Human-readable explanation of the specific problem occurrence.
    Example: "An unexpected error occurred on the server."

  - `instance` (string, required)
    URI reference that identifies the specific occurrence of the problem (typically the request path).
    Example: "/v2/projects/5c5bf2b1-35ae-4825-ab89-457e07bb60e6/calls/01ARZ3NDEKTSV4RRFFQ69G5FAA"


